KStdAccel::ShortcutList Class Reference

`#include <kshortcutlist.h>`

Inheritance diagram for KStdAccel::ShortcutList:

## Public Member Functions

| ShortcutList ()
virtual uint | count () const
virtual QString | name (uint index) const
virtual QString | label (uint index) const
virtual QString | whatsThis (uint index) const
virtual const KShortcut & | shortcut (uint index) const
virtual const KShortcut & | shortcutDefault (uint index) const
virtual bool | isConfigurable (uint index) const
virtual bool | setShortcut (uint index, const KShortcut &shortcut)
virtual QVariant | getOther (Other, uint index) const
virtual bool | setOther (Other, uint index, QVariant)
virtual bool | save () const
Public Member Functions inherited from KShortcutList
| KShortcutList ()
virtual bool | isGlobal (uint index) const
virtual int | index (const QString &sName) const
virtual int | index (const KKeySequence &keySeq) const
virtual const KInstance * | instance () const
virtual bool | readSettings (const QString &sConfigGroup=QString::null, KConfigBase *pConfig=0)
virtual bool | writeSettings (const QString &sConfigGroup=QString::null, KConfigBase *pConfig=0, bool bWriteAll=false, bool bGlobal=false) const

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)

## Additional Inherited Members

Public Types inherited from KShortcutList
enum | Other

## Detailed Description

KShortcutList implementation that accesses KStdAccel actions.

Definition at line 263 of file kshortcutlist.h.

## Constructor & Destructor Documentation

KStdAccel::ShortcutList::ShortcutList | ( |  | ) |

Creates a new ShortcutList.

Definition at line 323 of file kstdaccel.cpp.

## Member Function Documentation

uint KStdAccel::ShortcutList::count | ( |  | ) | const

virtual

Returns the number of entries.

Returns
  the number of entries

Implements KShortcutList.

Definition at line 329 of file kstdaccel.cpp.

bool KStdAccel::ShortcutList::isConfigurable | ( | uint | index | ) | const

virtual

Checks whether the shortcut with the given `index` is configurable.

Parameters

  index | the index of the shortcut (must be < count())

Returns
  true if configurable, false otherwise

Implements KShortcutList.

Definition at line 362 of file kstdaccel.cpp.

QString KStdAccel::ShortcutList::label | ( | uint | index | ) | const

virtual

Returns the (i18n'd) label of the shortcut with the given `index`.

Parameters

  index | the index of the shortcut (must be < count())

Returns
  the label (i18n'd) of the shortcut

Implements KShortcutList.

Definition at line 342 of file kstdaccel.cpp.

QString KStdAccel::ShortcutList::name | ( | uint | index | ) | const

virtual

Returns the name of the shortcut with the given `index`.

Parameters

  index | the index of the shortcut (must be < count())

Returns
  the name of the shortcut

Implements KShortcutList.

Definition at line 339 of file kstdaccel.cpp.

bool KStdAccel::ShortcutList::save | ( |  | ) | const

virtual

Save the shortcut list.

Returns
  true if successful, false otherwise

Implements KShortcutList.

Definition at line 374 of file kstdaccel.cpp.

bool KStdAccel::ShortcutList::setShortcut | ( | uint | index,
|  | const KShortcut & | shortcut
| ) |  |

virtual

Sets the shortcut of the given entry.

Parameters

  index | the index of the shortcut (must be < count())
  shortcut | the shortcut

Implements KShortcutList.

Definition at line 365 of file kstdaccel.cpp.

const KShortcut & KStdAccel::ShortcutList::shortcut | ( | uint | index | ) | const

virtual

Returns the shortcut with the given `index`.

Parameters

  index | the index of the shortcut (must be < count())

Returns
  the shortcut

See also
  shortcutDefault()

Implements KShortcutList.

Definition at line 348 of file kstdaccel.cpp.

const KShortcut & KStdAccel::ShortcutList::shortcutDefault | ( | uint | index | ) | const

virtual

Returns default shortcut with the given `index`.

Parameters

  index | the index of the shortcut (must be < count())

Returns
  the default shortcut

See also
  shortcut()

Implements KShortcutList.

Definition at line 355 of file kstdaccel.cpp.

void KStdAccel::ShortcutList::virtual_hook | ( | int | id,
|  | void * | data
| ) |  |

protected virtual

used to extend the interface with virtuals without breaking binary compatibility

Reimplemented from KShortcutList.

Definition at line 218 of file kshortcutlist.cpp.

QString KStdAccel::ShortcutList::whatsThis | ( | uint | index | ) | const

virtual

Returns the (i18n'd) What's This text of the shortcut with the given `index`.

Parameters

  index | the index of the shortcut (must be < count())

Returns
  the What's This text (i18n'd) of the shortcut

Implements KShortcutList.

Definition at line 345 of file kstdaccel.cpp.

The documentation for this class was generated from the following files:

- kshortcutlist.h
- kshortcutlist.cpp
- kstdaccel.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys